AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

Auth instance options

### Hierarchy

- AuthOptions

## Index

### Properties

- authenticationFlowType
- cookieStorage
- identityPoolId
- identityPoolRegion
- mandatorySignIn
- oauth
- refreshHandlers
- region
- storage
- userPoolId
- userPoolWebClientId

## Properties

### Optional authenticationFlowType

authenticationFlowType: string

- Defined in auth/src/types/Auth.ts:45

### Optional cookieStorage

cookieStorage: ICookieStorageData

- Defined in auth/src/types/Auth.ts:41

### Optional identityPoolId

identityPoolId: string

- Defined in auth/src/types/Auth.ts:38

### Optional identityPoolRegion

identityPoolRegion: string

- Defined in auth/src/types/Auth.ts:46

### Optional mandatorySignIn

mandatorySignIn: boolean

- Defined in auth/src/types/Auth.ts:40

### Optional oauth

oauth: OAuthOpts

- Defined in auth/src/types/Auth.ts:42

### Optional refreshHandlers

refreshHandlers: object

- Defined in auth/src/types/Auth.ts:43

### Optional region

region: string

- Defined in auth/src/types/Auth.ts:39

### Optional storage

storage: ICognitoStorage

- Defined in auth/src/types/Auth.ts:44

### Optional userPoolId

userPoolId: string

- Defined in auth/src/types/Auth.ts:36

### Optional userPoolWebClientId

userPoolWebClientId: string

- Defined in auth/src/types/Auth.ts:37